Edit Batch
Edit a batch.
Path Parameters
- Type: string · Batch Idbatch
_id required
Headers
- enumAcceptconst:application/jsonrequired
Response format. Must be
application/json.values- application/json
- enumContent
- Type const:application/jsonrequiredRequest payload format. Must be
application/jsonwhen a body is sent.values- application/json
Body·BatchEditRequest
required
application/json
Payload for editing a batch. Only open batches can be edited.
- Type: array string[] · Added Transactionsadded
_transactions List of transaction IDs to add to the batch
- Type: string · Processor Batch Idprocessor
_batch _id The processor batch ID
- Type: array string[] · Removed Transactionsremoved
_transactions List of transaction IDs to remove from the batch
Responses
- application/json
- application/json
Request Example for put/v1/batches/{batch_id}/edit
curl 'https://api.uat.koard.com/v1/batches/{batch_id}/edit' \
--request PUT \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'x-koard-apikey: YOUR_SECRET_TOKEN' \
--data '{
"processor_batch_id": "",
"added_transactions": [
""
],
"removed_transactions": [
""
]
}'
{
"account_id": "string",
"batch_metadata": null,
"captured_amount": 0,
"closed_at": null,
"id": "string",
"opened_at": "2026-04-20T15:32:06.309Z",
"processor_batch_id": null,
"processor_config_id": "string",
"processor_name": "string",
"refunded_amount": 0,
"response": null,
"status": "open",
"terminal_id": "string",
"transaction_count": 0
}
